/*********************************************************************
 * 
 *    Filename:  network.h
 *    Author:    Ryan Shillington <shillington@writeme.com>
 *    Description: Functions to manipulate the network data.
 *  
 *     This program is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU General Public License as
 *     published by the Free Software Foundation; either version 2 of
 *     the License, or (at your option) any later version.
 *
 ********************************************************************/

#ifndef NETWORK_H
#define NETWORK_H

typedef char byte;

//* Pass in the data, and the function will write to the appropriate file
void writeHostsFile(byte ip[4], char *name, char*alias);
void writeNetworkFile(char *name, byte gateway[4], char *device);
void writeIfcfgFile(byte netmask[4], byte ip[4], char *device);

//* A helper function that instantly finds the name that we're looking inside
//* the given data.  
//* 
//* We return the number of characters to the beginning of the line that the
//* data is on. 
//*
//* This function returns -1 if the string was not found.
int locateName(char data[4096], int size, char *name);

//* These are the paths for the respective networking files
#define HOSTS_PATH "/etc/hosts"
#define NETWORK_PATH "/etc/sysconfig/network"
#define IFCFG_ETH0_PATH "/etc/sysconfig/network-scripts/ifcfg-eth0"
#define IFCFG_ETH1_PATH "/etc/sysconfig/network-scripts/ifcfg-eth1"

#endif // NETWORK_H
